This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 975134 - (CVE-2013-2453) CVE-2013-2453 OpenJDK: MBeanServer Introspector package access (JMX, 8008124)
CVE-2013-2453 OpenJDK: MBeanServer Introspector package access (JMX, 8008124)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130618,repor...
: Security
Depends On:
Blocks: 973111 973116
  Show dependency treegraph
 
Reported: 2013-06-17 12:49 EDT by Stefan Cornelius
Modified: 2014-04-17 07:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-17 12:19:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2013-06-17 12:49:11 EDT
It was discovered that the MBeanServer Introspector of the JMX component did not properly verify the package access. An untrusted Java application or applet could possibly use this flaw to bypass intended package restrictions.
Comment 1 Jan Lieskovsky 2013-06-19 09:47:26 EDT
External References:

http://www.oracle.com/technetwork/topics/security/javacpujun2013-1899847.html
Comment 2 errata-xmlrpc 2013-06-19 20:06:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0958 https://rhn.redhat.com/errata/RHSA-2013-0958.html
Comment 3 errata-xmlrpc 2013-06-19 20:11:00 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0957 https://rhn.redhat.com/errata/RHSA-2013-0957.html
Comment 4 Stefan Cornelius 2013-06-20 08:13:39 EDT
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/c14aa930b032
Comment 5 errata-xmlrpc 2013-06-20 10:54:28 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0963 https://rhn.redhat.com/errata/RHSA-2013-0963.html
Comment 6 errata-xmlrpc 2013-07-03 13:12:38 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1014 https://rhn.redhat.com/errata/RHSA-2013-1014.html
Comment 7 errata-xmlrpc 2013-07-15 16:44:55 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1060 https://rhn.redhat.com/errata/RHSA-2013-1060.html
Comment 8 errata-xmlrpc 2013-07-15 16:55:55 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1059 https://rhn.redhat.com/errata/RHSA-2013-1059.html
Comment 10 errata-xmlrpc 2013-10-23 12:45:04 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html
Comment 11 errata-xmlrpc 2013-10-23 12:55:36 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html
Comment 12 errata-xmlrpc 2014-04-17 07:35:08 EDT
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html

Note You need to log in before you can comment on or make changes to this bug.